## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond tests 1
%global srcname pytest-split
%global slugname pytest_split

Name:           python-%{srcname}
Summary:        Pytest plugin to split the test suite into sub-suites
Version:        0.10.0
Release:        %autorelease

License:         MIT
URL:             https://github.com/jerry-git/pytest-split
Source:          %{url}/archive/refs/tags/%{version}/%{srcname}-%{version}.tar.gz
BuildArch:       noarch

# The upstream patch for Python 3.14 test issue #2325447
# https://github.com/jerry-git/pytest-split/pulls/107
# It can be removed in the next upstream release
Patch0:          107.patch

BuildRequires:   python3-devel
BuildRequires:   help2man
BuildRequires:   python3dist(poetry-core)
BuildRequires:   python3dist(pytest)
BuildRequires:   python3dist(pytest-cov)
Requires:        python3dist(pytest)

%global _description %{expand:
Pytest plugin which splits the test suite to equally sized
sub suites based on test execution time.}

%description %_description

%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %_description

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
mkdir -p %{buildroot}%{_mandir}/man1
PYTHONPATH="%{buildroot}%{python3_sitelib}" help2man \
    --version-string %{version} \
    %{buildroot}%{_bindir}/slowest-tests | \
    gzip > %{buildroot}%{_mandir}/man1/slowest-tests.1.gz

%check
%py3_check_import %{slugname}

%if %{with tests}
%pytest --no-cov tests
%endif

%files -n python3-%{srcname}
%doc README.md
%doc CHANGELOG.md
%license LICENSE
%{python3_sitelib}/%{slugname}-%{version}.dist-info/
%{python3_sitelib}/%{slugname}/
%{_bindir}/slowest-tests
%{_mandir}/man1/slowest-tests.1.*

%changelog
## START: Generated by rpmautospec
* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Dec 14 2024 Doğukan Çağatay <dogukan.cagatay@aiven.io> - 0.10.0-2
- Fix the plugin test failure on Python 3.14

* Thu Oct 17 2024 Doğukan Çağatay <dogukan.cagatay@aiven.io> - 0.10.0-1
- Bump version 0.10.0

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jun 20 2024 Doğukan Çağatay <dogukan.cagatay@aiven.io> - 0.8.2-2
- Fix the compression issue with man page

* Thu Jun 20 2024 Doğukan Çağatay <dogukan.cagatay@aiven.io> - 0.8.2-1
- Initial import (fedora#2292470).
## END: Generated by rpmautospec
